MojoMojo::Schema::Result::Person(3)

NAME
MojoMojo::Schema::Result::Person - store user info

METHODS

  is_admin
Checks if user belongs to list of admins.

  link
Returns a relative link to the user's home node.

  can_edit <path>
Checks if a user has rights to edit a given path.

  pages
Return the pages created by the user.

  pass_matches <pass1> <pass2>
Returns true if pass1 eq pass2.

  valid_pass <password>
Check password against database.

  hashed
Apply a SHA1 hash to the input string.

  interests_formatted
Format a person's interests.

  music_formatted
Format a person's music preferences.

  movies_formatted
Format a person's movie tastes.

  age
Returns age of the user in years.

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.